Package org.apache.sysds.runtime.compress.utils

# Class DoubleIntListHashMap.DIListEntry

java.lang.Object
org.apache.sysds.runtime.compress.utils.DoubleIntListHashMap.DIListEntry

All Implemented Interfaces:
  `Comparable<DoubleIntListHashMap.DIListEntry>`, `Comparator<DoubleIntListHashMap.DIListEntry>`

Enclosing class:
  DoubleIntListHashMap

public static class DoubleIntListHashMap.DIListEntry extends Object implements Comparator<DoubleIntListHashMap.DIListEntry>, Comparable<DoubleIntListHashMap.DIListEntry>

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`key`
`DoubleIntListHashMap.DIListEntry`
`next`
`IntArrayList`
`value`

## Constructor Summary

Constructors
Constructor
Description
`DIListEntry(double ekey, IntArrayList evalue)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(DoubleIntListHashMap.DIListEntry arg0, DoubleIntListHashMap.DIListEntry arg1)`
`int`
`compareTo(DoubleIntListHashMap.DIListEntry o)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### key

public double key

### value

public IntArrayList value

### next

public DoubleIntListHashMap.DIListEntry next

## Constructor Details

### DIListEntry

public DIListEntry(double ekey, IntArrayList evalue)

## Method Details

### compareTo

public int compareTo(DoubleIntListHashMap.DIListEntry o)

Specified by:
  `compareTo` in interface `Comparable<DoubleIntListHashMap.DIListEntry>`

### compare

public int compare(DoubleIntListHashMap.DIListEntry arg0, DoubleIntListHashMap.DIListEntry arg1)

Specified by:
  `compare` in interface `Comparator<DoubleIntListHashMap.DIListEntry>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`